<?php

use Faker\Generator as Faker;

$factory->define(App\Models\Product::class, function (Faker $faker) {
	return [
		'id'=>1,
		'site_id'=>1,
		'taxable'=>1,
		'price_group'=>serialize([
			1=>[
				0=>[
					'price_setup'=>50,
					'price_base'=>100,
				]
			]
		]),
	];
});

$factory->state(App\Models\Product::class,'active',[
	'active' => 1,
]);
$factory->state(App\Models\Product::class,'strict',[
	'price_recurr_strict' => 1,
]);
$factory->state(App\Models\Product::class,'notstrict',[
	'price_recurr_strict' => 0,
]);